export const ROOT_WORKSPACE_NAME = '.';
export const TEST_FILE_PATTERNS = ['**/*.{test,spec}.{js,jsx,ts,tsx}', '**/__tests__/**/*.{js,jsx,ts,tsx}'];
export const IGNORED_GLOBAL_BINARIES = ['npm', 'npx', 'node', 'yarn', 'pnpm', 'deno', 'git'];
export const IGNORE_DEFINITELY_TYPED = ['node'];
export const FIRST_ARGUMENT_AS_BINARY_EXCEPTIONS = ['npx', 'cross-env', 'dotenv'];
export const ISSUE_TYPES = [
    'files',
    'dependencies',
    'devDependencies',
    'unlisted',
    'exports',
    'nsExports',
    'types',
    'nsTypes',
    'enumMembers',
    'classMembers',
    'duplicates',
];
export const ISSUE_TYPE_TITLE = {
    files: 'Unused files',
    dependencies: 'Unused dependencies',
    devDependencies: 'Unused dev dependencies',
    unlisted: 'Unlisted or unresolved dependencies',
    exports: 'Unused exports',
    nsExports: 'Unused exports in namespaces',
    types: 'Unused exported types',
    nsTypes: 'Unused exported types in namespaces',
    enumMembers: 'Unused exported enum members',
    classMembers: 'Unused exported class members',
    duplicates: 'Duplicate exports',
};
