import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const NAME = 'Capacitor';
export const ENABLERS = ['@capacitor/core', '@capacitor/cli'];
export const isEnabled = ({ dependencies }) => ENABLERS.some(enabler => dependencies.has(enabler));
export const CONFIG_FILE_PATTERNS = ['capacitor.config.ts'];
const findCapacitorDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return config.includePlugins ?? [];
};
export const findDependencies = timerify(findCapacitorDependencies);
