import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const NAME = 'commitlint';
export const ENABLERS = ['@commitlint/cli'];
export const isEnabled = ({ dependencies }) => ENABLERS.some(enabler => dependencies.has(enabler));
export const CONFIG_FILE_PATTERNS = ['commitlint.config.{js,ts}'];
const findCommitLintDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return config.extends;
};
export const findDependencies = timerify(findCommitLintDependencies);
