import { _load } from '../../util/loader.js';
import { getPackageName } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
export const NAME = 'Prettier';
export const ENABLERS = ['prettier'];
export const isEnabled = ({ dependencies }) => ENABLERS.some(enabler => dependencies.has(enabler));
export const CONFIG_FILE_PATTERNS = [
    '.prettierrc',
    '.prettierrc.{json,js,cjs,yml,yaml}',
    'prettier.config.{js,cjs}',
    'package.json',
];
const findPrettierDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json')
        ? manifest.prettier
        : await _load(configFilePath);
    return config && Array.isArray(config.plugins)
        ? config.plugins.filter((plugin) => typeof plugin === 'string').map(getPackageName)
        : [];
};
export const findDependencies = timerify(findPrettierDependencies);
