import { Project, SourceFile } from 'ts-morph';
import type { ProjectOptions } from 'ts-morph';
export default class ProjectPrincipal {
    projectOptions?: ProjectOptions;
    tsConfigFilePath?: string;
    entryPaths: Set<string>;
    projectPaths: Set<string>;
    entryWorkspace?: Project;
    projectWorkspace?: Project;
    entryFiles?: SourceFile[];
    addEntryPath(filePath: string): void;
    addSourceFile(filePath: string): void;
    addProjectPath(filePath: string): void;
    addTypeScriptPaths(workspaceDir: string, paths: Record<string, string[]>): void;
    createProjects(): void;
    getResolvedFiles(): SourceFile[];
    settleFiles(): {
        usedResolvedFiles: Set<SourceFile>;
        unreferencedResolvedFiles: Set<SourceFile>;
    };
}
