import { SourceFile } from 'ts-morph';
import type { Report, Issue } from './types/issues.js';
type FileLabOptions = {
    report: Report;
    workspaceDirs: string[];
};
export default class SourceLab {
    report: Report;
    workspaceDirs: string[];
    skipExportsAnalysis: Set<unknown>;
    isReportExports: boolean;
    isReportValues: boolean;
    isReportTypes: boolean;
    constructor({ report, workspaceDirs }: FileLabOptions);
    skipExportsAnalysisFor(filePath: string | string[]): void;
    analyzeSourceFile(sourceFile: SourceFile): Set<Issue>;
    private analyzeExports;
}
export {};
