import { ISSUE_TYPES } from '../constants.js';
export const resolveIncludedIssueTypes = (includeArg, excludeArg, { include = [], exclude = [], isProduction = false } = {}) => {
    const normalizedIncludesArg = includeArg.map(value => value.split(',')).flat();
    const normalizedExcludesArg = excludeArg.map(value => value.split(',')).flat();
    const excludes = exclude.filter(exclude => !normalizedIncludesArg.includes(exclude));
    const includes = include.filter(include => !normalizedExcludesArg.includes(include));
    const _include = [normalizedIncludesArg, includes].flat();
    const _exclude = [normalizedExcludesArg, excludes].flat();
    if (isProduction) {
        _exclude.push('types');
        _exclude.push('nsTypes');
        _exclude.push('enumMembers');
        _exclude.push('devDependencies');
    }
    else {
        if (_include.includes('dependencies'))
            _include.push('devDependencies');
        if (_exclude.includes('dependencies'))
            _exclude.push('devDependencies');
    }
    const included = (_include.length > 0 ? _include : ISSUE_TYPES).filter(group => !_exclude.includes(group));
    return ISSUE_TYPES.reduce((types, group) => ((types[group] = included.includes(group)), types), {});
};
